-Top- -Classes- -Public Operations- -Class Diagrams- -Sequence Diagrams-

_ A B C D E F G H I J K L M N O P R S T U V W ~

Class UmlComponent

Declaration :

- C++ : class UmlComponent : public UmlBaseComponent
- Java : class UmlComponent extends UmlBaseComponent

This class manages 'components'
You can modify it as you want (except the constructor)

Artifact : UmlComponent

Operation UmlComponent

Declaration :

- C++ : public: UmlComponent(void * id, const QCString & n) : UmlBaseComponent(id, n)
- Java : public UmlComponent(long id, String n)

All public operations :

apply , associatedDiagram , children , childrenVisible , create , defined_ , description , identifier_ , isMarked , isToolRunning , isWritable , kind , kind , markedItems , name , parent , properties , propertyValue , providedClasses , realizedClasses , referencedBy , requiredClasses , set_AssociatedClasses , set_AssociatedDiagram , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload , unload